1 Screenshot

About This File

Puts it back where it came from!

+++++++++++++++++++++++

Upon picking up a trap:

*If a trap is empty, it will go into inventory.

*If a trap has an animal, it retraps the same spot, without going back into your inventory

+++++++++++++++++++++++

I fully intend only to release mods that I consider balanced, that don't make game play easier - read 'cheating' , or to fix what I perceive to be as issues or bugs that need addressing. I have a few ideas in mind. This is one of them.

I need to give the utmost thanks to my new friend DevilXD who I met on the Klei forums; who created this mod for me to learn from!

+++++++++++++++++++++++

If traps are empty when picked up, they act as normal.

If traps are full (have a catch) when picked up, they automatically put the object in your inventory and resets the trap to where you had it

This idea came from one of my trap farms. I got tired of ending up with traps in my hand inventory and rabbits in my hand that I then had to swap out to deal with.

Vanilla / RoG compatible.

+++++++++++

Also Download From The Steam Workshop


What's New in Version 1.0 (First Public Releas   See changelog

Released

  • Changelog:
  • v1.0
  • Initial Release



User Feedback

Recommended Comments

This also goes for all the traps?

Yeah, the mod modifies "trap" component, so every item that is using it, is also affected...

Share this comment


Link to comment
Share on other sites

Mod says it crashed on startup so has been disabled.

Game version 100795 with RoG.

The other mod I'm using is working fine and I tried disabling that.

(Tried updating the game via updater.exe and that messes up the whole game to the point it won't even launch)

 

Clicking the button to take one to the mod page went here (http://forums.kleientertainment.com/index.php?)

 

Two ways to solve that problem:

 

1. (better) In updater, click 'File -> Check Consistency', it should properly update your game, and the mod should no longer crash...

 

2. (worse) Open "modinfo.lua" file in notepad and change api_version to 5 or 4 and save the file. You must do this, because game disables mods with api version greater than defined within game files (and you have outdated game, so the api version is probably 5 or 4...

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now